Skip to main content
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
backups
List of service backups
curl --request GET \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backups \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backups"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "serviceId": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "finishedAt": "2023-11-07T05:31:56Z",
      "sizeInBytes": 123,
      "durationInSeconds": 123,
      "backupName": "<string>",
      "bucket": {
        "bucketProvider": "AWS",
        "bucketPath": "<string>",
        "iamRoleArn": "<string>",
        "iamRoleSessionName": "<string>"
      }
    }
  ]
}
{
"status": 400,
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the backup.

serviceId
string<uuid>
required

ID of the service the backup was created from.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object[]
Last modified on June 12, 2026